package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractDiscardcancelRequest struct {
	Contract *common.ContractRequest `json:"contract"`
	// <ext>core:true</ext> 【取消作废的原因】取消作废的原因 【传参】 最大长度：300字。
	Reason   string                  `json:"reason,omitempty"`
	Operator *common.UserInfoRequest `json:"operator,omitempty"`
}

func (obj ContractDiscardcancelRequest) GetUrl() string {
	return "/contract/discardcancel"
}

func (obj ContractDiscardcancelRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
